Buffalo NAS-Central Forums

Welcome to the Linkstation Wiki community
It is currently Mon Feb 26, 2018 12:37 am

All times are UTC+01:00




Post new topic  Reply to topic  [ 14 posts ] 
Author Message
PostPosted: Tue Dec 28, 2010 1:37 pm 
Offline
Newbie

Joined: Tue Dec 28, 2010 1:21 pm
Posts: 7
Hello,

I recently got original KUROBOX and thought maybe I could use it for torrents. I followed this tutorial http://buffalo.nas-central.org/wiki/Ins ... ck_Kurobox
and installed Debian Linux.
Then I followed this tutorial to install torrentflux: http://buffalo.nas-central.org/wiki/Deb ... ux_install

I got to the following section of the torrentflux tutorial:
Install Lighttpd + PHP5 + SQLite support

after typing in: apt-get install lighttpd php5-cgi php5-sqlite
I get the following message,

Reading Package Lists... Done
Building Dependency Tree... Done
W: Couldn't stat source package list http://security.debian.org unstable/updates/main Packages (/var/lib/apt/lists/security.debian.org_dists_unstable_updates_main_binary-powerpc_Packages) - stat (2 No such file or directory)
W: Couldn't stat source package list http://security.debian.org unstable/updates/contrib Packages (/var/lib/apt/lists/security.debian.org_dists_unstable_updates_contrib_binary-powerpc_Packages) - stat (2 No such file or directory)
W: Couldn't stat source package list ftp://ftp.fr.debian.org unstable/main Packages (/var/lib/apt/lists/ftp.fr.debian.org_debian_dists_unstable_main_binary-powerpc_Packages) - stat (2 No such file or directory)
W: Couldn't stat source package list ftp://ftp.fr.debian.org unstable/contrib Packages (/var/lib/apt/lists/ftp.fr.debian.org_debian_dists_unstable_contrib_binary-powerpc_Packages) - stat (2 No such file or directory)
W: Couldn't stat source package list ftp://ftp.de.debian.org unstable/non-US/main Packages (/var/lib/apt/lists/ftp.de.debian.org_debian-non-US_dists_unstable_non-US_main_binary-powerpc_Packages) - stat (2 No such file or directory)
W: Couldn't stat source package list ftp://ftp.de.debian.org unstable/non-US/contrib Packages (/var/lib/apt/lists/ftp.de.debian.org_debian-non-US_dists_unstable_non-US_contrib_binary-powerpc_Packages) - stat (2 No such file or directory)
W: You may want to run apt-get update to correct these problems
E: Couldn't find package lighttpd


Not sure what to do from here. I'm just following the tutorial blindly and don't really know what I'm doing. If anyone could point me in the right direction, any help would be appreciated thanks.


Top
   
PostPosted: Tue Dec 28, 2010 7:33 pm 
Offline
Betatester
User avatar

Joined: Thu Jul 14, 2005 4:38 pm
Posts: 941
Location: England
Tried Transmission ?

I have a few (old) compiled versions in my download section, unfortunately I don't think I included a dependency list in them so you might have to fumble about if you used them..

It may be that you just need the latest of these packages as dependencies (from transmission link) :

Code:
libcurl3-openssl-dev gettext libtool intltool openssl libcurl3


Top
   
PostPosted: Fri Dec 31, 2010 12:46 am 
Offline
Newbie

Joined: Tue Dec 28, 2010 1:21 pm
Posts: 7
Hello,

Thanks for the reply.

I followed the instruction for installing transmission but got the following error:

KURO-BOX:/usr/src# cd /usr/src
KURO-BOX:/usr/src# wget http://mirrors.m0k.org/transmission/fil ... 34.tar.bz2
--08:32:41-- http://mirrors.m0k.org/transmission/fil ... 34.tar.bz2
=> `transmission-1.34.tar.bz2.3'
Resolving mirrors.m0k.org... 91.121.59.153
Connecting to mirrors.m0k.org[91.121.59.153]:80... connected.
HTTP request sent, awaiting response... 302 Moved Temporarily
Location: http://download.transmissionbt.com/file ... 34.tar.bz2 [following]
--08:32:42-- http://download.transmissionbt.com/file ... 34.tar.bz2
=> `transmission-1.34.tar.bz2.3'
Resolving download.transmissionbt.com... 91.121.60.42
Connecting to download.transmissionbt.com[91.121.60.42]:80... connected.
HTTP request sent, awaiting response... 302 Found
Location: http://download.m0k.org/transmission/fi ... 34.tar.bz2 [following]
--08:32:42-- http://download.m0k.org/transmission/fi ... 34.tar.bz2
=> `transmission-1.34.tar.bz2.3'
Resolving download.m0k.org... 88.191.20.206
Connecting to download.m0k.org[88.191.20.206]:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 5,401,733 [application/octet-stream]

100%[====================================>] 5,401,733 827.13K/s ETA 00:00

08:32:48 (822.13 KB/s) - `transmission-1.34.tar.bz2.3' saved [5401733/5401733]

KURO-BOX:/usr/src# tar xjvf transmission-1.34.tar.bz2
tar: bzip2: Cannot exec: No such file or directory
tar: Error is not recoverable: exiting now
tar: Child returned status 2
tar: Error exit delayed from previous errors
KURO-BOX:/usr/src#


Top
   
PostPosted: Fri Dec 31, 2010 8:23 am 
Offline
Moderator

Joined: Fri Jun 29, 2007 10:39 am
Posts: 2604
kuroobi2011 wrote:
...
100%[====================================>] 5,401,733 827.13K/s ETA 00:00

08:32:48 (822.13 KB/s) - `transmission-1.34.tar.bz2.3' saved [5401733/5401733]

KURO-BOX:/usr/src# tar xjvf transmission-1.34.tar.bz2
tar: bzip2: Cannot exec: No such file or directory
tar: Error is not recoverable: exiting now
tar: Child returned status 2
tar: Error exit delayed from previous errors
KURO-BOX:/usr/src#
[/size]

Sometimes, reading the output of a command helps. ;-)
The file was saved as "transmission-1.34.tar.bz2.3" and you tried
to unpack "transmission-1.34.tar.bz2".

_________________
Please do not use private mail (PN/M) to ask questions. Use the proper forum instead. (me)

If there is no verified backup of a dataset, the dataset, by definition, is unimportant. (c't 2012)

RAID (no matter which level) never ever substitutes a backup. (me)


Top
   
PostPosted: Fri Dec 31, 2010 6:00 pm 
Offline
Newbie

Joined: Tue Dec 28, 2010 1:21 pm
Posts: 7
Tried again but unfortunately same error?

KURO-BOX:~# cd /usr/src
KURO-BOX:/usr/src# wget http://mirrors.m0k.org/transmission/fil ... 34.tar.bz2
--01:43:34-- http://mirrors.m0k.org/transmission/fil ... 34.tar.bz2
=> `transmission-1.34.tar.bz2.4'
Resolving mirrors.m0k.org... 91.121.59.153
Connecting to mirrors.m0k.org[91.121.59.153]:80... connected.
HTTP request sent, awaiting response... 302 Moved Temporarily
Location: http://download.transmissionbt.com/file ... 34.tar.bz2 [following]
--01:43:35-- http://download.transmissionbt.com/file ... 34.tar.bz2
=> `transmission-1.34.tar.bz2.4'
Resolving download.transmissionbt.com... 91.121.60.42
Connecting to download.transmissionbt.com[91.121.60.42]:80... connected.
HTTP request sent, awaiting response... 302 Found
Location: http://download.m0k.org/transmission/fi ... 34.tar.bz2 [following]
--01:43:35-- http://download.m0k.org/transmission/fi ... 34.tar.bz2
=> `transmission-1.34.tar.bz2.4'
Resolving download.m0k.org... 88.191.20.206
Connecting to download.m0k.org[88.191.20.206]:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 5,401,733 [application/octet-stream]

100%[====================================>] 5,401,733 829.27K/s ETA 00:00

01:43:41 (822.17 KB/s) - `transmission-1.34.tar.bz2.4' saved [5401733/5401733]

KURO-BOX:/usr/src# tar xjvf transmission-1.34.tar.bz2.4
tar: bzip2: Cannot exec: No such file or directory
tar: Error is not recoverable: exiting now
tar: Child returned status 2
tar: Error exit delayed from previous errors
KURO-BOX:/usr/src#


Top
   
PostPosted: Fri Dec 31, 2010 6:56 pm 
Offline
Moderator
User avatar

Joined: Tue Jul 26, 2005 5:22 pm
Posts: 1123
Location: United Kingdom
It sounds as if the bzip2/bunzip2 program is missing on your machine? You might also want to try removing the number from the end of the downloaded filename to see if that changes anything.


Top
   
PostPosted: Fri Dec 31, 2010 8:03 pm 
Offline
Newbie

Joined: Tue Dec 28, 2010 1:21 pm
Posts: 7
Thanks for the reply, I installed bzip2.

Now I'm stuck at the following section:

KURO-BOX:/usr/src# cd transmission-1.34
KURO-BOX:/usr/src/transmission-1.34# make
make: *** No targets specified and no makefile found. Stop.
KURO-BOX:/usr/src/transmission-1.34#


Top
   
PostPosted: Fri Dec 31, 2010 8:57 pm 
Offline
Moderator

Joined: Fri Jun 29, 2007 10:39 am
Posts: 2604
There is no file named "Makefile" in the directory you
called make from.
Are you sure you should call make there?

_________________
Please do not use private mail (PN/M) to ask questions. Use the proper forum instead. (me)

If there is no verified backup of a dataset, the dataset, by definition, is unimportant. (c't 2012)

RAID (no matter which level) never ever substitutes a backup. (me)


Top
   
PostPosted: Sat Jan 01, 2011 1:15 pm 
Offline
Newbie

Joined: Tue Dec 28, 2010 1:21 pm
Posts: 7
I'm just following the instructions as given here: http://buffalo.nas-central.org/wiki/Tra ... g_in_Lenny

I'm stuck on the "Configure, build and install" section. Sorry, I'm new to Linux and not sure what makefile means. By the way happy new year everyone.


Top
   
PostPosted: Sat Jan 01, 2011 3:05 pm 
Offline
Moderator

Joined: Fri Jun 29, 2007 10:39 am
Posts: 2604
Is it possible, that you missed the call of "./configure"?
Configure should have created the makefile.

_________________
Please do not use private mail (PN/M) to ask questions. Use the proper forum instead. (me)

If there is no verified backup of a dataset, the dataset, by definition, is unimportant. (c't 2012)

RAID (no matter which level) never ever substitutes a backup. (me)


Top
   
PostPosted: Sat Jan 01, 2011 8:55 pm 
Offline
Newbie

Joined: Tue Dec 28, 2010 1:21 pm
Posts: 7
Here's a log of the error:


KURO-BOX:/usr/src/transmission-1.34# ./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... no
checking for mawk... mawk
checking whether make sets $(MAKE)... yes
checking how to create a ustar tar archive... gnutar
checking build system type... powerpc-unknown-linux-gnu
checking host system type... powerpc-unknown-linux-gnu
checking for style of include used by make... GNU
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking dependency style of gcc... gcc3
checking for a sed that does not truncate output... /bin/sed
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for /usr/bin/ld option to reload object files... -r
checking for BSD-compatible nm... /usr/bin/nm -B
checking whether ln -s works... yes
checking how to recognize dependent libraries... pass_all
checking how to run the C preprocessor... gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking dlfcn.h usability... yes
checking dlfcn.h presence... yes
checking for dlfcn.h... yes
checking for g++... no
checking for c++... no
checking for gpp... no
checking for aCC... no
checking for CC... no
checking for cxx... no
checking for cc++... no
checking for cl.exe... no
checking for FCC... no
checking for KCC... no
checking for RCC... no
checking for xlC_r... no
checking for xlC... no
checking whether we are using the GNU C++ compiler... no
checking whether g++ accepts -g... no
checking dependency style of g++... none
checking for g77... no
checking for xlf... no
checking for f77... no
checking for frt... no
checking for pgf77... no
checking for cf77... no
checking for fort77... no
checking for fl32... no
checking for af77... no
checking for xlf90... no
checking for f90... no
checking for pgf90... no
checking for pghpf... no
checking for epcf90... no
checking for gfortran... no
checking for g95... no
checking for xlf95... no
checking for f95... no
checking for fort... no
checking for ifort... no
checking for ifc... no
checking for efc... no
checking for pgf95... no
checking for lf95... no
checking for ftn... no
checking whether we are using the GNU Fortran 77 compiler... no
checking whether accepts -g... no
checking the maximum length of command line arguments... 98304
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for objdir... .libs
checking for ar... ar
checking for ranlib... ranlib
checking for strip... strip
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC
checking if gcc PIC flag -fPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking whether the gcc linker (/usr/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
configure: creating libtool
appending configuration tag "CXX" to libtool
appending configuration tag "F77" to libtool
checking for gcc... (cached) gcc
checking whether we are using the GNU C compiler... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking for gcc option to accept ISO C89... (cached) none needed
checking dependency style of gcc... (cached) gcc3
checking whether we are using the GNU C++ compiler... (cached) no
checking whether g++ accepts -g... (cached) no
checking dependency style of g++... (cached) none
checking for ANSI C header files... (cached) yes
checking whether time.h and sys/time.h may both be included... yes
checking for lrintf... no
checking for strlcpy... no
checking for daemon... yes
checking for dirname... yes
checking for basename... yes
checking for daemon... (cached) yes
checking for strcasecmp... yes
checking for void*... yes
checking size of void*... 4
checking for a BSD-compatible install... /usr/bin/install -c
checking whether make sets $(MAKE)... (cached) yes
checking for ranlib... (cached) ranlib
checking for the pthreads library -lpthreads... no
checking whether pthreads work without any flags... no
checking whether pthreads work with -Kthread... no
checking whether pthreads work with -kthread... no
checking for the pthreads library -llthread... no
checking whether pthreads work with -pthread... yes
checking for joinable pthread attribute... PTHREAD_CREATE_JOINABLE
checking if more special flags are required for pthreads... no
checking for library containing socket... none required
checking for library containing gethostbyname... none required
checking for pkg-config... no
checking for OPENSSL... checking for OpenSSL... configure: error: Cannot locate ssl
KURO-BOX:/usr/src/transmission-1.34# make
make: *** No targets specified and no makefile found. Stop.


Top
   
PostPosted: Sun Jan 02, 2011 6:09 am 
Offline
Moderator
User avatar

Joined: Tue Jul 26, 2005 5:22 pm
Posts: 1123
Location: United Kingdom
That looks as if the OpenSSL developers files are missing.


Top
   
PostPosted: Sun Jan 02, 2011 3:56 pm 
Offline
Betatester
User avatar

Joined: Thu Jul 14, 2005 4:38 pm
Posts: 941
Location: England
I think the guide is a little outdated, 1.34 is very old...

Have you updated your system after installing..?

Code:
apt-get update

Code:
apt-get dist-upgrade


Then install the packages that transmission depends upon:
Code:
apt-get install libcurl4-openssl-dev gettext libtool intltool openssl libcurl4 libevent-dev


You can go one of two ways now, build it from source (what you've been trying) or install a precompiled version. I started building my own a while ago because transmission is in the debian repositories and whenever I ran an update it would screw with my built copy, anyway I digress..

If you want a built copy you can do :
Code:
wget http://downloads.buffalo.nas-central.org/Users/Bauldrick/LS1/Transmission/transmission-daemon_2.11-r11356_powerpc.deb

and then install it with :
Code:
dpkg -i transmission-daemon_2.11-r11356_powerpc.deb

You then need a start/stop script (because I'm too lazy to build the .debs properly), so :
Code:
pico /etc/init.d/transmission-daemon

and copy this script into it and save it :
Code:
#! /bin/sh
### BEGIN INIT INFO
# Provides:          transmission-daemon
# Required-Start:    networking
# Required-Stop:     networking
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Start the transmission BitTorrent daemon client.
### END INIT INFO

# Original Author: Lennart A. J�.tte, based on Rob Howell's script
# Modified by Maarten Van Coile & others (on IRC)

# Do NOT "set -e"

#
# ----- CONFIGURATION -----
#
# For the default location Transmission uses, visit:
# http://trac.transmissionbt.com/wiki/ConfigFiles
# For a guide on how set the preferences, visit:
# http://trac.transmissionbt.com/wiki/EditConfigFiles
# For the available environement variables, visit:
# http://trac.transmissionbt.com/wiki/EnvironmentVariables
#
# The name of the user that should run Transmission.
# It's RECOMENDED to run Transmission in it's own user,
# by default, this is set to 'transmission'.
# For the sake of security you shouldn't set a password
# on this user
USERNAME=transmission


# ----- *ADVANCED* CONFIGURATION -----
# Only change these options if you know what you are doing!
#
# The folder where Transmission stores the config & web files.
# ONLY change this you have it at a non-default location
#TRANSMISSION_HOME="/var/config/transmission-daemon"
#TRANSMISSION_WEB_HOME="/usr/share/transmission/web"
#
# The arguments passed on to transmission-daemon.
# ONLY change this you need to, otherwise use the
# settings file as per above.
# TRANSMISSION_ARGS="-u name -v passwd"


# ----- END OF CONFIGURATION -----
#
# PATH should only include /usr/* if it runs after the mountnfs.sh script.
PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
DESC="bittorrent client"
NAME=transmission-daemon
DAEMON=$(which $NAME)
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME

# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0

# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME

# Load the VERBOSE setting and other rcS variables
[ -f /etc/default/rcS ] && . /etc/default/rcS

#
# Function that starts the daemon/service
#

do_start()
{
    # Export the configuration/web directory, if set
    if [ -n "$TRANSMISSION_HOME" ]; then
          export TRANSMISSION_HOME
    fi
    if [ -n "$TRANSMISSION_WEB_HOME" ]; then
          export TRANSMISSION_WEB_HOME
    fi

    # Return
    #   0 if daemon has been started
    #   1 if daemon was already running
    #   2 if daemon could not be started
    start-stop-daemon --chuid $USERNAME --start --pidfile $PIDFILE --make-pidfile \
            --exec $DAEMON --background --test -- -f $TRANSMISSION_ARGS > /dev/null \
            || return 1
    start-stop-daemon --chuid $USERNAME --start --pidfile $PIDFILE --make-pidfile \
            --exec $DAEMON --background -- -f $TRANSMISSION_ARGS \
            || return 2
}

#
# Function that stops the daemon/service
#
do_stop()
{
        # Return
        #   0 if daemon has been stopped
        #   1 if daemon was already stopped
        #   2 if daemon could not be stopped
        #   other if a failure occurred
        start-stop-daemon --stop --quiet --retry=TERM/10/KILL/5 --pidfile $PIDFILE $exec $NAME
        RETVAL="$?"
        [ "$RETVAL" = 2 ] && return 2

        # Wait for children to finish too if this is a daemon that forks
        # and if the daemon is only ever run from this initscript.
        # If the above conditions are not satisfied then add some other code
        # that waits for the process to drop all resources that could be
        # needed by services started subsequently.  A last resort is to
        # sleep for some time.

        start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
        [ "$?" = 2 ] && return 2

        # Many daemons don't delete their pidfiles when they exit.
        rm -f $PIDFILE

        return "$RETVAL"
}

case "$1" in
  start)
        echo "Starting $DESC" "$NAME..."
        do_start
        case "$?" in
                0|1) echo "   Starting $DESC $NAME succeeded" ;;
                *)   echo "   Starting $DESC $NAME failed" ;;
        esac
        ;;
  stop)
        echo "Stopping $DESC $NAME..."
        do_stop
        case "$?" in
                0|1) echo "   Stopping $DESC $NAME succeeded" ;;
                *)   echo "   Stopping $DESC $NAME failed" ;;
        esac
        ;;
  restart|force-reload)
        #
        # If the "reload" option is implemented then remove the
        # 'force-reload' alias
        #
        echo "Restarting $DESC $NAME..."
        do_stop
        case "$?" in
          0|1)
                do_start
                case "$?" in
                    0|1) echo "   Restarting $DESC $NAME succeeded" ;;
                    *)   echo "   Restarting $DESC $NAME failed: couldn't start $NAME" ;;
                esac
                ;;
          *)
                echo "   Restarting $DESC $NAME failed: couldn't stop $NAME" ;;
        esac
        ;;
  *)
        echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
        exit 3
        ;;
esac


Note I believe it's still advised to run transmission as user transmission (?) according to transmission howto, so try:
Code:
adduser --disabled-password transmission

else you can change the line "USERNAME=transmission" to "USERNAME=whoever-you-run-transmission-as"
Code:
chmod a+x /etc/init.d/transmission-daemon

Code:
update-rc.d transmission-daemon defaults


Top
   
PostPosted: Mon Jun 27, 2016 11:11 am 
Offline
Newbie

Joined: Mon Jun 27, 2016 9:12 am
Posts: 5
Sometimes, reading the output of a command helps. ;-)
The file was saved as "transmission-1.34.tar.bz2.3" and you tried
to unpack "transmission-1.34.tar.bz2".

_________________
Call Conference ||Conference Calling Plugin ||Telephone Conference Calling


Top
   
Display posts from previous:  Sort by  
Post new topic  Reply to topic  [ 14 posts ] 

All times are UTC+01:00


Who is online

Users browsing this forum: No registered users and 4 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Powered by phpBB® Forum Software © phpBB Limited